Last Comment Bug 753690 - Unhandled IRC messages from WHOIS: 378, 307 and 671
: Unhandled IRC messages from WHOIS: 378, 307 and 671
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: 14 Branch
: All All
: -- enhancement (vote)
: Thunderbird 17.0
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 776901
Blocks: 740280
  Show dependency treegraph
 
Reported: 2012-05-10 02:34 PDT by Onno Ekker [:nONoNonO UTC+1]
Modified: 2013-12-30 02:45 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Onno Ekker [:nONoNonO UTC+1] 2012-05-10 02:34:50 PDT
When I login to an irc channel or hover a name from the participants list in the Chat tab, I get some messages in my error console:

Timestamp: 10-5-2012 11:27:45
Warning: Unhandled IRC message: :gravel.mozilla.org 378 nONoNonO nONoNonO :is connecting from *@a168-15.amc.nl 145.117.168.15
Source File: resource:///components/irc.js
Line: 334
Source Code:
irc

Timestamp: 10-5-2012 11:27:45
Warning: Unhandled IRC message: :gravel.mozilla.org 307 nONoNonO nONoNonO :is a registered nick
Source File: resource:///components/irc.js
Line: 334
Source Code:
irc

Timestamp: 10-5-2012 11:27:45
Warning: Unhandled IRC message: :gravel.mozilla.org 671 nONoNonO nONoNonO :is using a Secure Connection
Source File: resource:///components/irc.js
Line: 334
Source Code:
irc
Comment 1 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-05-10 02:42:08 PDT
These are some messages of the whois response that the current IRC code doesn't handle (yet).

A similar bug is already filed for Instantbird at https://bugzilla.instantbird.org/show_bug.cgi?id=1296
Comment 2 Patrick Cloke [:clokep] 2012-05-10 03:29:55 PDT
This isn't actually a bug, they're purposefully not handled yet --> enhancement. It's on my todo list.
Comment 3 Patrick Cloke [:clokep] 2012-07-24 06:43:40 PDT
This has been fixed in Instantbird (bug 1296: https://bugzilla.instantbird.org/show_bug.cgi?id=1296) and will be integrated into comm-central as part of bug 753690.
Comment 4 Patrick Cloke [:clokep] 2012-07-24 06:44:20 PDT
(In reply to Patrick Cloke [:clokep] from comment #3)
> integrated into comm-central as part of bug 753690.
Err...that's bug 776901. :)
Comment 5 Patrick Cloke [:clokep] 2012-07-27 10:32:10 PDT
Landed as part of bug 776901 in https://hg.mozilla.org/comm-central/rev/fa0ad045a7d6

Note You need to log in before you can comment on or make changes to this bug.